org.pentaho.reporting.libraries.resourceloader

## Class ContentNotRecognizedException

- java.lang.Object
- - StackableException
  - - org.pentaho.reporting.libraries.resourceloader.ResourceException
    - - org.pentaho.reporting.libraries.resourceloader.ResourceCreationException
      - - org.pentaho.reporting.libraries.resourceloader.ContentNotRecognizedException

    public class ContentNotRecognizedException
    extends ResourceCreationException

The ContentNotRecognizedException signals that none of the selected resource factories was able to handle the request.

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`ContentNotRecognizedException()` Creates a ContentNotRecognizedException with no message and no parent.
`ContentNotRecognizedException(java.lang.String message)` Creates an ContentNotRecognizedException.
`ContentNotRecognizedException(java.lang.String message, java.lang.Exception ex)` Creates an ContentNotRecognizedException.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentNotRecognizedException

    public ContentNotRecognizedException()

Creates a ContentNotRecognizedException with no message and no parent.

#### ContentNotRecognizedException

    public ContentNotRecognizedException(java.lang.String message,
                                 java.lang.Exception ex)

Creates an ContentNotRecognizedException.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

#### ContentNotRecognizedException

    public ContentNotRecognizedException(java.lang.String message)

Creates an ContentNotRecognizedException.

Parameters:
  `message` - the exception message.